routes/admin.php
<?php

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register admin-level routes. Routes in this file
| are protected by auth/login requirements.
|
*/

Route::middleware('admin')->namespace('Admin')->group(function () {

    /**
     * Admin-level homepage/dashboard.
     */
    Route::get('/', 'HomeController@index')->name('home');

    // Testimonials Route
    Route::resource('testimonials', 'TestimonialController');


    // Contact Route
    Route::resource('contacts', 'ContactController');

// setting route
    Route::get('settings' , 'SettingController@index')->name('settings.edit');

    Route::post('settings', 'SettingController@store')->name('settings.store');

    // new fabrication pages
//    Route::get('page/fabrication/list' , 'PageController@listFabrication')->name('fabrication.list');

    Route::resource('fabrications', 'FabricationController');

// slider Route
    Route::resource('sliders', 'SliderController');


    // slide Route
    Route::resource('slides', 'SlideController');

    // floorplan route
    Route::resource('floorplans', 'FloorPlanController');

    Route::post('floorplans/add-items', 'FloorPlanController@addItems');

    // coach model route
    Route::get('models', 'HomeController@models');
    Route::get('models/edit/{id}', 'HomeController@editModel');
    Route::post('models/update/{id}', 'HomeController@updateModel');

    // page route
    Route::get('page/{page}/{tab?}', 'PageController@index');

    Route::post('page/update', 'PageController@update');

    Route::post('page/content/{page}/{key}/delete', 'PageController@deleteContent');

    Route::post('page/content/{page}/{key}/{tab?}/delete', 'PageController@deleteContent');

    // custom reference categories routes
    Route:Route::resource('custom-reference-categories', 'CustomReferenceCategoryController');
    // custom post routes
    Route::get('/custom-posts','CustomPostController@index')->name('customposts.index');

    Route::Post('/custom-posts/slug','CustomPostController@slug')->name('customposts.slug');
    Route::get('/custom-post/create','CustomPostController@create')->name('customposts.create');

    Route::post('/custom-post/store','CustomPostController@store')->name('customposts.store');

    Route::get('/cutom-post/{id}/edit','CustomPostController@edit')->name('customposts.edit');

    Route::post('/custom-post/{id}/update','CustomPostController@update')->name('customposts.update');

    Route::delete('/custom-post/{id}/delete','CustomPostController@delete')->name('customposts.delete');

    Route::get('/custom-reference-category','MegaController@customReferenceCategory')->name('custom-reference-attribute.index');

    Route::get('/custom-reference-category/{id}/edit','MegaController@editCustomReferenceCategory')->name('custom-reference-attribute.edit');

    Route::post('/custom-reference-category/{id}/update','MegaController@updateCustomReferenceCategory')->name('custom-reference-attribute.update');

    /**
     * Users
     */
    //    Route::get('users/{user}/delete', 'UserController@delete')->name('users.delete');
    Route::resource('users', 'UserController');
    Route::resource('members', 'MemberController');
    Route::resource('virtual-tour', 'VirtualTourController'); // ***
//    Route::resource('service-specials', 'ServiceSpecialsController'); // ***
    Route::get('tour-event/payments', 'MemberController@paymentHistory');

    Route::get('{customPostSlug}', 'MegaController@index');
    Route::get('{customPostSlug}/create', 'MegaController@create');
    Route::post('{customPostSlug}/store', 'MegaController@store');
    Route::get('{customPostSlug}/{itemId}/edit', 'MegaController@edit');
    Route::put('{customPostSlug}/{itemId}/update', 'MegaController@update');
    Route::delete('{customPostId}/{itemId}/destroy', 'MegaController@delete');
    Route::post('{customPostId}/{itemId}/{sectionId}/{attributeId}/delete', 'MegaController@deleteDocument');
    Route::get('reference-data-by-selection/{selectedId}/{tableReferencedBy?}/{foreignKey?}', 'MegaController@getReferenceData');
    Route::post('update-sorting-order', 'MegaController@updateSortOrder');

    Route::resource('custom-attributes', 'CustomAttributeController');

});

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//
//Route::get('/', function () {
//    return view('welcome');
//});

use App\Mail\NotificationSend;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');
Route::get('/about', 'HomeController@about')->name('about');
Route::get('/model/{coach?}', 'HomeController@models')->name('coach-model');
Route::get('/inventory', 'HomeController@inventory')->name('inventory');
Route::get('/motorcade-club', 'HomeController@motorcadeClub')->name('motorcade-club');
Route::get('/recall-information' , 'HomeController@recallInformation')->name('recall-information');
Route::get('/owner-service' , 'HomeController@ownerService')->name('owner-service');
Route::get('/technical-support', 'HomeController@technicalSupport')->name('technical-support');
//Route::get('/technical-support/search', 'HomeController@technicalSupportSearch')->name('technical-support-search');
Route::get('/information', 'HomeController@information')->name('information');
Route::get('/parts-department', 'HomeController@partsDepartment')->name('parts-department');
Route::get('/remodel-department', 'HomeController@remodelDepartment')->name('remodel-department');
Route::get('/service-department','HomeController@serviceDepartment')->name('service-department');
Route::get('/career','HomeController@career')->name('career');
Route::get('reference-data-by-selection/{selectedId}', 'HomeController@getReferenceData');
Route::get('fabrication/{page}', 'HomeController@getFabrication');

Route::post('/contact', 'HomeController@contactSubmit')->name('contact');

Route::post('/motorcade-member-register', 'Auth\RegisterController@motorcadeMemberRegister')->name('motorcade-member-register')->middleware('guest');
Route::get('/motorcade-member-profile', 'HomeController@motorcadeMemberProfile')->name('motorcade-member-profile');
Route::post('/motorcade-member-profile', 'HomeController@motorcadeMemberUpdate')->name('motorcade-member-update');
Route::get('/motorcade-member-directory/{type}', 'HomeController@motorcadeMemberDirectory')->name('motorcade-member-directory');

# PayPal checkout
Route::get('checkout', 'PaypalController@payWithPayPal')->name('checkout');

# PayPal status callback
Route::get('paypal-payment-status', 'PaypalController@getPaymentStatus')->name('payment-status');


Route::get('send-mail', function (){

    // get the subject of notification email.
    $subject        = 'New Motorcade Member Registration!!';

    // get the body of notification email.
    $contentText    = Auth::user();

    Mail::to(env('MAIL_TO_ADDRESS'))->send(new NotificationSend('member-registration',$contentText, $subject));

});

app/Models/Contact.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Contact extends Model
{

    public function updatedBy(){
        return $this->belongsTo(User::class,'updated_by');
    }
}

app/Http/Controllers/Admin/ContactController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Models\Contact;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;


class ContactController extends Controller
{
    protected $request;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $contacts = Contact::get();

        return view('admin.contacts.index',compact('contacts'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.contacts.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = $request->validate([

            'name'             => 'required',
            'email'            => 'required|email',
            'interested_in'    => 'required',
            'message'          => 'required|min:10',

        ]);

        $clientip = \Request::getClientIp(true);

        $contact = new Contact();
        $contact->name = $request->name;
        $contact->email = $request->email;
        $contact->interested_in = $request->interested_in;
        $contact->message  = $request->message;
        $contact->ip_address  = $clientip;

        $contact->save();

        return redirect()->route('admin.contacts.index')->with('success', 'Contact created successfully');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $contact = Contact::find($id);
        return view('admin.contacts.show', compact('contact'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $contact = Contact::find($id);
        return view('admin.contacts.edit')->withContact($contact);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = $request->validate([

            'name'             => 'required',
            'email'            => 'required|email',
            'interested_in'    => 'required',
            'message'          => 'required|min:10',

        ]);

        $clientip = \Request::getClientIp(true);

        $contact =  Contact::find($id);
        $contact->name = $request->name;
        $contact->email = $request->email;
        $contact->interested_in = $request->interested_in;
        $contact->message  = $request->message;
        $contact->ip_address  = $clientip;
        $contact->updated_by  = Auth::user()->id;

        $contact->update();

        return redirect()->route('admin.contacts.index')->with('success', 'Contact updated successfully');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $contact = Contact::find($id);

        $contact->delete();

        if($contact){
            return redirect()->route('admin.contacts.index')->with('success' , 'contact deleted successfully');
        }
        else{
            return redirect()->route('admin.contacts.index')->with('error' , 'contact deletion failed');
        }
    }
}

resources/views/admin/contacts/create.blade.php
@extends('layouts.admin')
@section('content')
 <div class="container">
     <div class="row">
         <div class="col-lg-12">
            <div class="page-header">
                <h1>
                    Contact
                    <small>
                        <i class="ace-icon fa fa-angle-double-right"></i>
                        create Contact
                    </small>
                </h1>
            </div>

            <div class="form">
            <form id="validation-form" class="form-horizontal" action="{{ route('admin.contacts.store')}}" method="post">
                    {{ csrf_field() }}
                    <div class="form-group @error('email') has-error   @enderror">
                            <label class="col-sm-3 control-label no-padding-right" for="name"> Name </label>

                            <div class="col-sm-9">
                                <div class="clearfix">  
                                    <input type="text" id="name" placeholder="Name" name="name" class="col-xs-10 col-sm-5" />
                                </div>
                                @error('name')
                                <div id="name-error" class="help-block">{{ $message }}</div>
                                @enderror 
                            </div>
                    </div>
                    <div class="space-4"></div>
                    <div class="form-group  @error('email') has-error   @enderror">
                        <label class="col-sm-3 control-label no-padding-right" for="email"> Email </label>

                        <div class="col-sm-9">
                            <div class="clearfix">
                                <input type="text" id="email" placeholder="Email" name="email" class="col-xs-10 col-sm-5" />
                            </div>
                            @error('email')
                            <div  class="help-block">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="space-4"></div>

                        <div class="form-group @error('interested_in') has-error @enderror">

                            <label class="col-sm-3 control-label no-padding-right" for="interested_in"> Intersted In </label>

                            <div class="col-sm-9">
                                <div class="clearfix">
                                    <input type="text" id="interested_in" placeholder="Interested in" name="interested_in" class="col-xs-10 col-sm-5" />
                                </div>
                                @error('interested_in')
                                    <div  class="help-block">{{ $message }}</div>
                                @enderror
                                
                            </div>
                        </div>

                    <div class="form-group @error('message') has-error @enderror">
                        <label class="col-sm-3 control-label no-padding-right" for="message">Message</label>
                        
                        <div class="col-sm-9">
                            <div class="clearfix">
                                <textarea class="col-xs-10  col-sm-5" rows="5" id="form-field-9"  name="message"></textarea>
                            </div>
                            @error('message')
                                <div  class="help-block">{{ $message }}</div>
                            @enderror
                           
                        </div>
                       
                    </div>

                    <div class="clearfix">
                        <div class="col-md-offset-3 col-md-9">
                            <button class="btn btn-info" type="submit">
                                <i class="ace-icon fa fa-check bigger-110"></i>
                                Submit
                            </button>
                        </div>
                    </div>
            </form>
            </div>
         </div>
     </div>
 </div>
@endsection

resources/views/admin/contacts/edit.blade.php
@extends('layouts.admin')
        @section('content')
        <div class="container background-color">
            <div class="row">
                <div class="col-12">
                        <div class="page-header">
                                <h1>
                                    Contacts
                                    <small>
                                        <i class="ace-icon fa fa-angle-double-right"></i>
                                        Edit Contacts
                                    </small>
                                </h1>
                        </div>

                    <form class="form-horizontal" action="{{ route('admin.contacts.update', $contact->id)}}" method="post">
                            {{ csrf_field() }}
                            @method('PATCH')
                            <div class="form-group @error('name') has-error   @enderror">
                                    <label class="col-sm-3 control-label no-padding-right" for="name"> Name </label>
        
                                    <div class="col-sm-9">
                                        <div class="clearfix">  
                                        <input type="text" id="name" value="{{$contact->name}}" placeholder="Name" name="name" class="col-xs-10 col-sm-5" />
                                        </div>
                                        @error('name')
                                        <div id="name-error" class="help-block">{{ $message }}</div>
                                        @enderror 
                                    </div>
                            </div>

                            <div class="form-group @error('email') has-error   @enderror">
                                    <label class="col-sm-3 control-label no-padding-right" for="name"> Email </label>
        
                                    <div class="col-sm-9">
                                        <div class="clearfix">  
                                        <input type="text" id="name" value="{{$contact->email}}" placeholder="Name" name="email" class="col-xs-10 col-sm-5" />
                                        </div>
                                        @error('email')
                                        <div id="name-error" class="help-block">{{ $message }}</div>
                                        @enderror 
                                    </div>
                            </div>

                            <div class="space-4"></div>

                                <div class="form-group @error('email') has-error   @enderror">
                                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1-1"> Intersted In </label>
                                    
                                    <div class="col-sm-9">
                                        <div class="clearfix">
                                            <input type="text" id="form-field-1-1" value="{{$contact->interested_in}}" placeholder="Interested in" name="interested_in" class="col-xs-10 col-sm-5" />
                                        </div>
                                        @error('interested_in')
                                        <div id="name-error" class="help-block">{{ $message }}</div>
                                        @enderror 
                                    </div> 
                                </div>

                                <div class="form-group @error('message') has-error @enderror">
                                        <label class="col-sm-3 control-label no-padding-right" for="message">Message</label>
                                        
                                        <div class="col-sm-9">
                                            <div class="clearfix">
                                            <textarea class="col-xs-10  col-sm-5" rows="5" id="form-field-9"  name="message">{{$contact->message}}</textarea>
                                            </div>
                                            @error('message')
                                                <div  class="help-block">{{ $message }}</div>
                                            @enderror
                                           
                                        </div>
                                       
                                    </div>

                                    <div class="clearfix">
                                        <div class="col-md-offset-3 col-md-9">
                                            <button class="btn btn-info" type="submit">
                                                <i class="ace-icon fa fa-check bigger-110"></i>
                                                Submit
                                            </button>
                                        </div>
                                    </div>
                    </form>


                </div>
            </div>
        </div>

        @endsection

resources/views/admin/contacts/index.blade.php
@extends('layouts.admin')
@section('content')
    {!!  _breadcrumbs('Contacts')  !!}
    <div class="">
    <div class="row">
        <div class="col-lg-12">
                <div class="page-header">
                        <h1>
                            Contacts
                            <small>
                                <i class="ace-icon fa fa-angle-double-right"></i>
                                All Contacts
                            </small>
                        </h1>
                    </div>
            <div class="all-contacts">
                <table  id="dynamic-table" class="table  table-bordered table-hover">
                        <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Interested In</th>
                                    <th>Message</th>
                                    <th>Actions</th>
                                </tr>
                        </thead>

                        <tbody>
                            @foreach ($contacts as $contact)
                            <tr>
                            <td>{{$contact->name}}</td>
                            <td>{{$contact->email}}</td>
                            <td>{{$contact->interested_in}}</td>
                            <td>{{$contact->message}}</td>
                            <td>
                                <div class="hidden-sm hidden-xs btn-group" style="display:flex">
                                    {{-- <button class="btn btn-xs btn-success" class="tooltip-info" data-rel="tooltip" title="View"> --}}
                                        <a class="btn btn-xs btn-success" href="{{route('admin.contacts.show', $contact->id)}}" >
                                        <i class="ace-icon fa fa-eye bigger-120"></i>
                                        </a>
                                    {{-- </button> --}}

                                    {{-- <button class="btn btn-xs btn-info" class="tooltip-info" data-rel="tooltip" title="Edit">
                                        <i class="ace-icon fa fa-pencil bigger-120"></i>
                                        <a href="{{route('contacts.edit', $contact->id)}}"></a>
                                    </button> --}}


                                    <form method="post" class="delete_form" action="{{route('admin.contacts.destroy', $contact->id)}}">
                                        {{csrf_field()}}
                                        <input type="hidden" name="_method" value="DELETE" />
                                        <button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-xs btn-danger" class="tooltip-info" data-rel="tooltip" title="Delete">
                                                <span class="red">
                                                    <i style="background-color:white" class="ace-icon fa fa-trash-o bigger-120"></i>
                                                </span>
                                        </button>
                                    </form>
                                </div>
                            </td>

                        </tr>
                            @endforeach

                        </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

@endsection

resources/views/admin/contacts/show.blade.php
@extends('layouts.admin')
        @section('content')

            {!!  _breadcrumbs(['Contacts','Details'])  !!}
        <div class="background-color">
            <div class="row">
                <div class="col-12">
                    <div class="page-header">
                        <h1>
                            Contacts
                            <small>
                                <i class="ace-icon fa fa-angle-double-right"></i>
                                Details
                            </small>
                        </h1>
                    </div>

                    <table id="simple-table" class="table  table-bordered table-hover">

                        <tbody>
                            <tr>
                                <th>Name</th>
                                <td>{{$contact->name}}</td>
                            </tr>
                            <tr>
                                <th>Email</th>
                                <td>{{$contact->email}}</td>
                            </tr>
                            <tr>
                                <th>Interested In</th>
                                <td>{{$contact->interested_in}}</td>
                            </tr>
                            <tr>
                                <th>Message</th>
                                <td>{{$contact->message}}</td>
                            </tr>
                        </tbody>

                    </table>

                </div>
            </div>
        </div>

        @endsection